Reward slot holder on the burnchain

export
interface

  BurnchainRewardSlotHolder

### Hierarchy

- BurnchainRewardSlotHolder

## Index

### Properties

- address
- burn_block_hash
- burn_block_height
- canonical
- slot_index

## Properties

### address

address: string

- Defined in src/generated/models/BurnchainRewardSlotHolder.ts:45

The recipient address that validly received PoX commitments, in the format native to the burnchain (e.g. B58 encoded for Bitcoin)

memberof

  BurnchainRewardSlotHolder

### burn_block_hash

burn_block_hash: string

- Defined in src/generated/models/BurnchainRewardSlotHolder.ts:33

The hash representing the burnchain block

memberof

  BurnchainRewardSlotHolder

### burn_block_height

burn_block_height: number

- Defined in src/generated/models/BurnchainRewardSlotHolder.ts:39

Height of the burnchain block

memberof

  BurnchainRewardSlotHolder

### canonical

canonical: boolean

- Defined in src/generated/models/BurnchainRewardSlotHolder.ts:27

Set to `true` if block corresponds to the canonical burchchain tip

memberof

  BurnchainRewardSlotHolder

### slot_index

slot_index: number

- Defined in src/generated/models/BurnchainRewardSlotHolder.ts:51

The index position of the reward entry, useful for ordering when there's more than one slot per burnchain block

memberof

  BurnchainRewardSlotHolder

Generated using TypeDoc